#
# spec file for package python3-cpplint
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-cpplint
Version:        1.3.0
Release:        1.6
License:        BSD-3-Clause
Summary:        An automated checker to make sure a C++ file follows Google's C++ style guide
Url:            http://en.wikipedia.org/wiki/Cpplint
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/c/cpplint/cpplint-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
This project continues the work of cpplint, a C++ style
checker following Google's C++ style guide. It provides
cpplint as a PyPI package and adds a few features and
fixes. It is maintained as a fork of google/styleguide
in hopes that it can be merged in the future.


%prep
%setup -q -n cpplint-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/cpplint %{buildroot}%{_bindir}/cpplint-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/cpplint %{buildroot}%{_bindir}/cpplint

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/cpplint cpplint %{_bindir}/cpplint-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove cpplint %{_bindir}/cpplint-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst
%{_bindir}/cpplint
%{_bindir}/cpplint-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/cpplint
%{python3_sitelib}/*

%changelog
* Fri Oct 14 2016 toddrme2178@gmail.com
- Initial version
